## org.eclipse.datatools.sqltools.sqleditor.internal.indent
Class SQLStringAutoIndentStrategy

    java.lang.Object
      org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy
          org.eclipse.datatools.sqltools.sqleditor.internal.indent.SQLStringAutoIndentStrategy

All Implemented Interfaces:
  org.eclipse.jface.text.IAutoEditStrategy

    public class SQLStringAutoIndentStrategy

extends org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy

Auto indent strategy for SQL strings

Constructor Summary
`SQLStringAutoIndentStrategy(java.lang.String partitioning)` Creates a new SQL string auto indent strategy for the given document partitioning.

Method Summary
`void` `customizeDocumentCommand(org.eclipse.jface.text.IDocument document, org.eclipse.jface.text.DocumentCommand command)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLStringAutoIndentStrategy

    public SQLStringAutoIndentStrategy(java.lang.String partitioning)

  Creates a new SQL string auto indent strategy for the given document partitioning.

  Parameters:
    `partitioning` - the document partitioning

Method Detail

### customizeDocumentCommand

    public void customizeDocumentCommand(org.eclipse.jface.text.IDocument document,
                                         org.eclipse.jface.text.DocumentCommand command)

  Specified by:
    `customizeDocumentCommand` in interface `org.eclipse.jface.text.IAutoEditStrategy`
  Overrides:
    `customizeDocumentCommand` in class `org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy`